using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_NeiRong_TuPianCaiJi_LanMu_XiuGai : System.Web.UI.Page
{
    private 访问 访问;
    protected new int ID;
    protected int 网站ID;
    protected String 网站名称;
    protected Hashtable 采集栏目;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("修改采集栏目", "网站后台", "修改采集栏目", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        ID = Convert.ToInt32(Request.QueryString["ID"]);
        采集栏目 = 常用.SQL_获取(new SqlCommand("SELECT * FROM [" + 程序.数据表前缀 + "内容_图片采集_栏目] WHERE [ID]=" + ID, 访问.连接));
        if (采集栏目 == null)
            throw new Exception("采集栏目不存在");

        网站ID = Convert.ToInt32(采集栏目["所属网站"]);
        SqlCommand 语句 = new SqlCommand("SELECT [网站名称] FROM [" + 程序.数据表前缀 + "内容_图片采集_网站] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
            网站名称 = Convert.ToString(读取["网站名称"]);
        else
        {
            读取.Close();
            throw new Exception("网站不存在");
        }
        读取.Close();

        if (!this.IsPostBack)
            初始化();
    }
    protected void Wizard1_FinishButtonClick(object sender, WizardNavigationEventArgs e)
    {
        访问.连接.Open();
        访问.排错调用(new 访问.回调委托(修改));
        访问.连接.Close();
    }

    private void 初始化()
    {
        LanMuMingChen.Text = 采集栏目["栏目名称"].ToString();
        KaiShiLieBiaoDiZhi.Text = 采集栏目["开始列表地址"].ToString();
        BiaoTiHeDiZhi_TongPeiFu.Checked = Convert.ToBoolean(采集栏目["标题和地址_是否通配符"]);
        BiaoTiHeDiZhi_BiaoDaShi.Text = 采集栏目["标题和地址_表达式"].ToString();
        XiaYeDiZhi_TongPeiFu.Checked = Convert.ToBoolean(采集栏目["下页地址_是否通配符"]);
        XiaYeDiZhi_BiaoDaShi.Text = Convert.ToString(采集栏目["下页地址_表达式"]);
        ShangYeDiZhi_TongPeiFu.Checked = Convert.ToBoolean(采集栏目["上页地址_是否通配符"]);
        ShangYeDiZhi_BiaoDaShi.Text = Convert.ToString(采集栏目["上页地址_表达式"]);
        ZongYeShu_TongPeiFu.Checked = Convert.ToBoolean(采集栏目["总页数_是否通配符"]);
        ZongYeShu_BiaoDaShi.Text = Convert.ToString(采集栏目["总页数_表达式"]);
        TuPianDiZhi_TongPeiFu.Checked = Convert.ToBoolean(采集栏目["图片地址_是否通配符"]);
        TuPianDiZhi_BiaoDaShi.Text = Convert.ToString(采集栏目["图片地址_表达式"]);
        TuPianXiaYe_TongPeiFu.Checked = Convert.ToBoolean(采集栏目["图片下页_是否通配符"]);
        TuPianXiaYe_BiaoDaShi.Text = Convert.ToString(采集栏目["图片下页_表达式"]);
        TuPianGuoLv.Text = Convert.ToString(采集栏目["图片过滤"]);
        SuoFang_KuanDu.Text = Convert.ToString(采集栏目["图片缩放_宽度"]);
        SuoFang_GaoDu.Text = Convert.ToString(采集栏目["图片缩放_高度"]);
    }

    private void 修改()
    {
        访问.验证权限("45");
        String 栏目名称 = LanMuMingChen.Text;
        String 开始列表地址 = KaiShiLieBiaoDiZhi.Text;
        bool 标题和地址_是否通配符 = BiaoTiHeDiZhi_TongPeiFu.Checked;
        String 标题和地址_表达式 = BiaoTiHeDiZhi_BiaoDaShi.Text;
        bool 下页地址_是否通配符 = XiaYeDiZhi_TongPeiFu.Checked;
        String 下页地址_表达式 = XiaYeDiZhi_BiaoDaShi.Text;
        bool 上页地址_是否通配符 = ShangYeDiZhi_TongPeiFu.Checked;
        String 上页地址_表达式 = ShangYeDiZhi_BiaoDaShi.Text;
        bool 总页数_是否通配符 = ZongYeShu_TongPeiFu.Checked;
        String 总页数_表达式 = ZongYeShu_BiaoDaShi.Text;
        bool 图片地址_是否通配符 = TuPianDiZhi_TongPeiFu.Checked;
        String 图片地址_表达式 = TuPianDiZhi_BiaoDaShi.Text;
        bool 图片下页_是否通配符 = TuPianXiaYe_TongPeiFu.Checked;
        String 图片下页_表达式 = TuPianXiaYe_BiaoDaShi.Text;
        int 图片缩放_宽度 = Convert.ToInt32(SuoFang_KuanDu.Text);
        int 图片缩放_高度 = Convert.ToInt32(SuoFang_GaoDu.Text);
        String 图片过滤 = TuPianGuoLv.Text;

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "内容_图片采集_栏目] SET " +
            "[栏目名称]=@栏目名称" +
            ",[开始列表地址]=@开始列表地址" +
            ",[标题和地址_是否通配符]=@标题和地址_是否通配符" +
            ",[标题和地址_表达式]=@标题和地址_表达式" +
            ",[下页地址_是否通配符]=@下页地址_是否通配符" +
            ",[下页地址_表达式]=@下页地址_表达式" +
            ",[上页地址_是否通配符]=@上页地址_是否通配符" +
            ",[上页地址_表达式]=@上页地址_表达式" +
            ",[总页数_是否通配符]=@总页数_是否通配符" +
            ",[总页数_表达式]=@总页数_表达式" +
            ",[图片地址_是否通配符]=@图片地址_是否通配符" +
            ",[图片地址_表达式]=@图片地址_表达式" +
            ",[图片下页_是否通配符]=@图片下页_是否通配符" +
            ",[图片下页_表达式]=@图片下页_表达式" +
            ",[图片缩放_宽度]=@图片缩放_宽度" +
            ",[图片缩放_高度]=@图片缩放_高度" +
            ",[图片过滤]=@图片过滤 WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@栏目名称", SqlDbType.NVarChar).Value = 栏目名称;
        语句.Parameters.Add("@开始列表地址", SqlDbType.NVarChar).Value = 开始列表地址;
        语句.Parameters.Add("@标题和地址_是否通配符", SqlDbType.Bit).Value = 标题和地址_是否通配符;
        语句.Parameters.Add("@标题和地址_表达式", SqlDbType.NVarChar).Value = 标题和地址_表达式;
        语句.Parameters.Add("@下页地址_是否通配符", SqlDbType.Bit).Value = 下页地址_是否通配符;
        语句.Parameters.Add("@下页地址_表达式", SqlDbType.NVarChar).Value = 下页地址_表达式;
        语句.Parameters.Add("@上页地址_是否通配符", SqlDbType.Bit).Value = 上页地址_是否通配符;
        语句.Parameters.Add("@上页地址_表达式", SqlDbType.NVarChar).Value = 上页地址_表达式;
        语句.Parameters.Add("@总页数_是否通配符", SqlDbType.Bit).Value = 总页数_是否通配符;
        语句.Parameters.Add("@总页数_表达式", SqlDbType.NVarChar).Value = 总页数_表达式;
        语句.Parameters.Add("@图片地址_是否通配符", SqlDbType.Bit).Value = 图片地址_是否通配符;
        语句.Parameters.Add("@图片地址_表达式", SqlDbType.NVarChar).Value = 图片地址_表达式;
        语句.Parameters.Add("@图片下页_是否通配符", SqlDbType.Bit).Value = 图片下页_是否通配符;
        语句.Parameters.Add("@图片下页_表达式", SqlDbType.NVarChar).Value = 图片下页_表达式;
        语句.Parameters.Add("@图片缩放_宽度", SqlDbType.Int).Value = 图片缩放_宽度;
        语句.Parameters.Add("@图片缩放_高度", SqlDbType.Int).Value = 图片缩放_高度;
        语句.Parameters.Add("@图片过滤", SqlDbType.NVarChar).Value = 图片过滤;
        语句.ExecuteNonQuery();

        Response.Redirect("TuPianCaiJi_LanMu.aspx?ID=" + 网站ID);
    }
}
